'''
@author: Luke Allen
To make this program work, you need to also:
-Install JPype, for your Python version, from http://jpype.sourceforge.net/
-Download the Stanford Parser from http://nlp.stanford.edu/software/lex-parser.shtml
 and copy its .jar files to a folder called "../jar/" relative to this .py file, 
 or else change the line labeled "directory that .jar files are in" below.
'''

import jpype
import os.path
jarpath = os.path.join(os.path.abspath('.'), "../jar") #directory that .jar files are in, relative to this .py script.
jpype.startJVM(jpype.getDefaultJVMPath(),"-ea", "-Djava.ext.dirs=%s" % jarpath) #start a JVM
nlp = jpype.JPackage("edu.stanford.nlp") #this is how you import a package (which contains classes). Now we can use the classes inside it, almost as easily as Java.

#code below is a simplified version of the ParserDemo.java included with the Stanford Parser
lp = nlp.parser.lexparser.LexicalizedParser.loadModel() #call a static method of a class like this (see the Stanford Parser's Javadoc for a description of its methods and classes) 
parse = lp.apply("The quick brown fox jumped over the lazy dog."); #now we have a Tree class and can do what we want with it
parse.pennPrint();
print "Grammatical Structure:"
tlp = nlp.trees.PennTreebankLanguagePack()
gsf = tlp.grammaticalStructureFactory()
gs = gsf.newGrammaticalStructure(parse)
tdl = gs.typedDependenciesCCprocessed(True)
print tdl

jpype.shutdownJVM() #call at the end of the script